{ pkgs, ... }: {

  imports = [
    ./crypto.nix
    ./design.nix
    ./extrafonts.nix
    #./hyprland
    ./media.nix
    ./office.nix
    ./qt.nix
    ./rofi.nix
    ./syncthing.nix
    ./waybar.nix
  ];

  xdg.mimeApps = {
    enable = true;
    defaultApplications = { "application/pdf" = [ "okular.desktop" ]; };
  };

  home.sessionVariables = {
    WEBKIT_DISABLE_COMPOSITING_MODE = "1";
    NIXOS_OZONE_WL = "1";
    EDITOR = "emacs";
    VISUAL = "emacs";
    QT_QPA_PLATFORM = "wayland";
    XDG_CONFIG_HOME = "\${HOME}/.config";
    XDG_BIN_HOME = "\${HOME}/.local/bin";
    XDG_DATA_HOME = "\${HOME}/.local/share";
  };
  home.sessionPath = [ "\${XDG_BIN_HOME}" "\${HOME}/.cargo/bin" ];

  fonts.fontconfig.enable = true;

  services.dunst = {
    enable = true;
  };

  home.packages = with pkgs; [
    alacritty
    appimage-run
    blueberry
    brave
    brightnessctl
    clipman
    distrobox
    flameshot
    fuzzel
    gnome.file-roller
    gnome.nautilus
    gnome.nautilus
    gnome.seahorse
    gnome.sushi
    gnome.vinagre
    glib
    gsettings-desktop-schemas
    hyprpaper
    nyxt
    pamixer
    pavucontrol
    picom
    libsForQt5.qtstyleplugins
    qt5ct
    rustdesk
    unrar
    unzip
    usbutils
    v4l-utils
    wlogout
    wtype
    xdg-utils
    xdotool
    zip
  ];

}
