{ config, outputs, ... }: {
  virtualisation.oci-containers.containers."baserow" = {
    image = "docker.io/baserow/baserow:1.14.0";
    environment = {
      BASEROW_PUBLIC_URL = "https://db.lanakk.com";
      
      POSTGRES_USER = "baserow";
      POSTGRES_PASSWORD = "baserow";
      POSTGRES_DB = "baserow";
      DATABASE_HOST = "postgres";
      DATABASE_NAME = "baserow";
      DATABASE_USER = "baserow";
      DATABASE_PASSWORD = "baserow";
      
      EMAIL_SMTP = "in-v3.mailjet.com";
      EMAIL_SMTP_HOST = "in-v3.mailjet.com";
      EMAIL_SMTP_PORT = "587";
      EMAIL_SMTP_USER = config.age.secrets.mj-smtp-user.path;
      EMAIL_SMTP_PASSWORD = config.age.secrets.mj-smtp-pass.path;
    };
    ports = [ "3001:80" ];
    volumes = [ "baserow_data:/baserow/data" ];
    extraOptions = [ "--add-host=postgres:10.88.0.1" "--ip=10.88.0.11" ];
  };
}
